com.hazelcast.spi.merge

## Class SplitBrainMergeTypes

- java.lang.Object
- - com.hazelcast.spi.merge.SplitBrainMergeTypes

-     @Beta
      public class SplitBrainMergeTypes
      extends Object

  Collection of interfaces which define the provided merge types for each data structure.

  Useful for implementors of `SplitBrainMergePolicy` to check on which data structures their custom merge policy can be configured.

  Will be returned by config classes which implement `SplitBrainMergeTypeProvider` and used by the `ConfigValidator` to check if a configured `SplitBrainMergePolicy` is usable on its data structure.

  Since:
    3.10

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SplitBrainMergeTypes.AtomicLongMergeTypes` Provided merge types of `IAtomicLong`.
    `static interface` | `SplitBrainMergeTypes.AtomicReferenceMergeTypes` Provided merge types of `IAtomicReference`.
    `static interface` | `SplitBrainMergeTypes.CacheMergeTypes` Provided merge types of `ICache`.
    `static interface` | `SplitBrainMergeTypes.CardinalityEstimatorMergeTypes` Provided merge types of `CardinalityEstimator`.
    `static interface` | `SplitBrainMergeTypes.CollectionMergeTypes` Provided merge types of collections (`ISet` and `IList`).
    `static interface` | `SplitBrainMergeTypes.MapMergeTypes` Provided merge types of `IMap`.
    `static interface` | `SplitBrainMergeTypes.MultiMapMergeTypes` Provided merge types of `MultiMap`.
    `static interface` | `SplitBrainMergeTypes.QueueMergeTypes` Provided merge types of `IQueue`.
    `static interface` | `SplitBrainMergeTypes.ReplicatedMapMergeTypes` Provided merge types of `ReplicatedMap`.
    `static interface` | `SplitBrainMergeTypes.RingbufferMergeTypes` Provided merge types of `Ringbuffer`.
    `static interface` | `SplitBrainMergeTypes.ScheduledExecutorMergeTypes` Provided merge types of `IScheduledExecutorService`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplitBrainMergeTypes()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SplitBrainMergeTypes

          public SplitBrainMergeTypes()

Copyright © 2018. All rights reserved.